I can't use apt-get or dpkg

I accidentally messed up and deleted some files that I don't remember trying to find out why I could run tkinter on VSC but not on Terminal. I now cannot run any apt-get or dpkg or actually install any package in general. When I try to do so, I get this:

Setting up python-wxgtk3.0 (3.0.2.0+dfsg-8build1) ...
/var/lib/dpkg/info/python-wxgtk3.0.postinst: 13: pycompile: not found
dpkg: error processing package python-wxgtk3.0 (--configure):
installed python-wxgtk3.0 package post-installation script subprocess returned error exit status 127
Errors were encountered while processing:
python-wxgtk3.0
E: Sub-process /usr/bin/dpkg returned an error code (1)

One of the things that makes GnuLinux great is being modular and able to make a mistake without catastrophe.

However... Where Integration like SystemD and Python are concerned, they can result in catastrophe. Without knowing what you removed... You may be looking at a reinstall of Zorin OS as the easiest option.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.